%define gname mkvmerge-gui
%define gversion 0.7.0
#define svnrev 4028

%def_disable debug
%def_disable profiling

%def_enable gui
%def_enable bz2
%def_enable lzo
%def_enable wxwidgets
%def_disable qt
%def_with flac
%def_with tools

Name: mkvtoolnix
Version: 2.9.0
Release: alt2
Summary: Tools to create, alter and inspect Matroska files
Summary(uk_UA.CP1251):   ,     Matroska
Summary(ru_RU.CP1251):   ,     Matroska
License: %gpl2plus
Group: Video
URL: http://www.bunkus.org/videotools/%name/
Source: %{url}sources/%name-%version.tar
Patch: %name-%version-%release.patch
Provides: mkvmerge = %version-%release
Packager: Afanasov Dmitry <ender@altlinux.org>

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Wed Aug 22 2007
#BuildRequires: bzlib-devel gcc-c++ libSM-devel libXcursor-devel libXi-devel libXinerama-devel libXrandr-devel libebml-devel libexpat-devel libflac-devel liblzo-devel liblzo2-devel libmagic-devel libmatroska-devel libpango-devel libpcrecpp-devel libqt4-devel libvorbis-devel wxGTK2u-devel

BuildRequires: gcc-c++ boost-regex-devel zlib-devel libmagic-devel
BuildRequires: libexpat-devel libvorbis-devel ImageMagick symlinks
BuildRequires: libebml-devel >= 0.7.6
BuildRequires: libmatroska-devel >= 0.8.1
%{?_enable_gui:BuildRequires: libpango-devel wxGTK2u-devel}
%{?_enable_bz2:BuildRequires: bzlib-devel}
%{?_enable_lzo:BuildRequires: liblzo2-devel}
%{?_enable_qt:BuildRequires: libSM-devel libXcursor-devel libXi-devel libXinerama-devel libXrandr-devel libqt4-devel}
%{?_with_flac:BuildRequires: libflac-devel}

%description
Matroska is a new multimedia file format aiming to become the new
container format for the future.
With these tools one can extract tracks/data from (mkvextract) Matroska
files and create (mkvmerge) Matroska files from other media files.

%description -l uk_UA.CP1251
Matroska -    ,    
  .
      /
(mkvextract)   Matroska   (mkvmerge)  Matroska
  .

%description -l ru_RU.CP1251
Matroska -    ,   
   .
      / (mkvextract)
  Matroska   (mkvmerge)  Matroska  
.


%if_enabled gui
%package -n %gname
Summary: GUI for mkvmerge including a chapter editor
Summary(uk_UA.CP1251): GUI  mkvmerge   
Summary(ru_RU.CP1251): GUI  mkvmerge   
License: GPL
Group: Video
Provides: mmg = %version-%release

%description -n %gname
Matroska is a new multimedia file format aiming to become the new
container format for the future.
mkvmerge GUI is a wxWindows based GUI for mkvmerge. It offers easy
access to all of mkvmerge's options. All settings (e.g. source files,
track options etc) can be saved and restored. Included is a chapter
editor that can read OGM style and XML style chapter files, write XML
style chapter files and even read chapters from Matroska files and
write chapters directly to Matroska files.

%description -n %gname -l uk_UA.CP1251
Matroska -    ,    
  .
mkvmerge GUI -  wxWindows GUI  mkvmerge.   
    mkvmerge.   (,  ,
   ..)     . 
        XML  OGM,
     XML      
 Matroska       Matroska.

%description -n %gname -l ru_RU.CP1251
Matroska -    ,   
   .
mkvmerge GUI -  wxWindows GUI  mkvmerge.   
    mkvmerge.   (, 
,    ..)     .
         XML 
OGM,      XML      
 Matroska       Matroska.
%endif


%package -n mkvinfo
Summary: Tool for print information about tracks in Matroska files
Summary(uk_UA.CP1251):        Matroska
Summary(ru_RU.CP1251):        Matroska
License: GPL
Group: Video

%description -n mkvinfo
Matroska is a new multimedia file format aiming to become the new
container format for the future.
With mkvinfo you can get information about Matroska files. This program
lists all tracks contained in a Matroska file including information
about the codecs used.

%description -n mkvinfo -l uk_UA.CP1251
Matroska -    ,    
  .
  mkvinfo      Matroska. 
    ,     Matroska,
   .

%description -n mkvinfo -l ru_RU.CP1251
Matroska -    ,   
   .
  mkvinfo      Matroska. 
    ,    Matroska,
    .


%if_with tools
%package tools
Summary: %name additional tools
Summary(uk_UA.CP1251):    %name
Summary(ru_RU.CP1251):    %name
Group: Video
Conflicts: %name < 2.4.0-alt1

%description tools
Matroska is a new multimedia file format aiming to become the new
container format for the future.
This package contains some additional tools.

%description -l uk_UA.CP1251 tools
Matroska -    ,    
  .
     .

%description -l ru_RU.CP1251 tools
Matroska -    ,   
   .
     .
%endif


%prep
%setup
%patch -p1


%build
./autogen.sh
%configure \
    %{subst_enable debug} \
    %{subst_enable profiling} \
    %{subst_enable gui} \
    %{subst_enable bz2} \
    %{subst_enable lzo} \
    %{subst_enable wxwidgets} \
    %{subst_enable qt} \
    %{subst_with flac}

%make_build %{?_with_tools:TOOLS=1}

convert -depth 8 src/mmg/{matroskalogo_big.xpm,%{gname}_64.png}
convert -depth 8 src/mmg/{matroskalogo.xpm,%{gname}_32.png}
convert -depth 8 src/info/{matroska.xpm,mkvinfo_32.png}
for s in 16 22 24 48; do
    convert -resize ${s}x$s -depth 8 src/mmg/{matroskalogo_big.xpm,%{gname}_$s.png}
done
for s in 16 22 24 48; do
    convert -resize ${s}x$s -depth 8 src/info/{matroska.xpm,mkvinfo_$s.png}
done

bzip2 --best --force --keep ChangeLog


%install
%make_install DESTDIR=%buildroot %{?_with_tools:TOOLS=1} install

%if_enabled gui
for s in 16 22 24 32 48 64; do
    install -d -m 0755 %buildroot%_iconsdir/hicolor/${s}x$s/apps
    install -m 644 {src/mmg/%{gname}_$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%gname}.png
done
for s in 16 22 24 32 48; do
    install -m 644 {src/info/mkvinfo_$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/mkvinfo}.png
done
mv %buildroot%_bindir/mmg %buildroot%_bindir/%gname
ln -s %gname %buildroot%_bindir/mmg
mv %buildroot%_man1dir/mmg.1 %buildroot%_man1dir/%gname.1
ln -s %gname.1 %buildroot%_man1dir/mmg.1
install -d -m 0755 %buildroot%_docdir/%gname-%gversion
ln -s %buildroot{%_datadir/%name/{%gname.html,images},%_docdir/%gname-%gversion/}
symlinks -scd %buildroot%_docdir/%gname-%gversion
#menu
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%gname.desktop <<__MENU__
[Desktop Entry]
Exec=%gname %%U
Name=mkvmerge GUI
Icon=%gname
Terminal=false
Type=Application
Comment=GUI for mkvmerge including a chapter editor
Comment[ua]=GUI  mkvmerge   
Comment[ru]=GUI  mkvmerge   
Categories=GTK;Video;AudioVideoEditing;
__MENU__
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/mkvinfo.desktop <<__MENU__
[Desktop Entry]
Exec=mkvinfo --gui %%U
Name=mkvinfo
Icon=mkvinfo
Terminal=false
Type=Application
Comment=GUI for mkvmerge including a chapter editor
Comment[ua]=       Matroska
Comment[ru]=       Matroska
Categories=GTK;Video;AudioVideoEditing;
__MENU__
%endif

%find_lang %name


%files -f %name.lang
%doc AUTHORS ChangeLog.* README examples
%_bindir/mkvextract
%_bindir/mkvmerge
%_man1dir/mkvextract.*
%_man1dir/mkvmerge.*


%files -n mkvinfo
%_bindir/mkvinfo
%_man1dir/mkvinfo.*
%_iconsdir/hicolor/*/apps/mkvinfo.*
%_datadir/applications/mkvinfo.desktop
%_desktopdir/mkvinfo.desktop


%if_enabled gui
%files -n %gname
%_docdir/%gname-%gversion
%_bindir/%gname
%_bindir/mmg
%_man1dir/%gname.*
%_man1dir/mmg.*
%_datadir/%name
%_iconsdir/hicolor/*/apps/%{gname}.*
%_desktopdir/%gname.desktop
%endif


%if_with tools
%files tools
%_bindir/base64tool
%_bindir/*parser
%_bindir/ebml_validator
%_man1dir/base64tool.*
%endif


%changelog
* Fri Jun 05 2009 Afanasov Dmitry <ender@altlinux.org> 2.9.0-alt2
- change packager

* Sun May 24 2009 Led <led@altlinux.ru> 2.9.0-alt1
- 2.9.0 with postrelease upstream's fixes

* Sat Apr 18 2009 Led <led@altlinux.ru> 2.7.0-alt1
- 2.7.0 with postrelease upstream's fixes

* Fri Apr 03 2009 Led <led@altlinux.ru> 2.6.0-alt1
- 2.6.0 with postrelease upstream's fixes

* Sun Mar 15 2009 Led <led@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Sun Feb 15 2009 Led <led@altlinux.ru> 2.4.2-alt1
- 2.4.2:
  + added support for reading the pixel aspect ratio from Theora video
    tracks

* Sun Dec 14 2008 Led <led@altlinux.ru> 2.4.1-alt1
- 2.4.1 (SVN revision 4028)

* Tue Dec 02 2008 Led <led@altlinux.ru> 2.4.0-alt3
- SVN revision 4022:
  + Sync with the official ISO 639-2 standard
- cleaned up spec

* Mon Nov 10 2008 Led <led@altlinux.ru> 2.4.0-alt2
- SVN revision 4019

* Mon Nov 10 2008 Led <led@altlinux.ru> 2.4.0-alt1
- 2.4.0:
  + mkvextract:
    added support for handling SimpleBlocks for timecode extraction;
    added support for extracting Theora video tracks into Ogg files.
  + Added the extensions "evo", "evob" and "vob" to mmg's "add file"
    dialog.
  + mkvmerge: Added support for Dirac video tracks.
- added %name-tools subpackage

* Sun Sep 14 2008 Led <led@altlinux.ru> 2.3.0-alt1
- 2.3.0
- removed %name-1.7.0-configure.patch
- updated BuildRequires

* Sun Aug 10 2008 Led <led@altlinux.ru> 2.2.0-alt2
- fixed *.desktop

* Thu Mar 06 2008 Led <led@altlinux.ru> 2.2.0-alt1
- 2.2.0:
  + support for handling AC3 in WAV in ACM mode
  + support for reading AC3 from QuickTime/MP4 files
  + support for handling AC3 in WAV in IEC 61937 compatible streams
    (aka SPDIF mode)
  + support for WAV files with multiple data chunks
  + support for AAC-in-AVI with CodecID 0x706d as created by mencoder
  + SRT files that contain coordinates in the timecode line are
    supported

* Tue Mar 04 2008 Led <led@altlinux.ru> 2.1.0-alt3
- fixed *.desktop

* Sat Mar 01 2008 Led <led@altlinux.ru> 2.1.0-alt2
- added icons
- fixed mkvinfo.desktop

* Wed Aug 22 2007 Led <led@altlinux.ru> 2.1.0-alt1
- 2.1.0:
  + Added support for EAC3/DD+ (Dolby Digital Plus) files and tracks
    (raw EAC3 files or inside Matroska with CodecID A_EAC3)
  + Added support for EAC3 tracks in MPEG program streams
  + Added support for handling AVC/h.264 tracks in MPEG program streams
  + Disabled the support for DTS tracks in MPEG program streams
  + Added support for RealAudio v3 in RealMedia files
  + Added support for extracting Dolby Digital Plus (EAC3) tracks
  + Added support for reading MP2 audio tracks from OGM files

* Tue Apr 17 2007 Led <led@altlinux.ru> 2.0.2-alt2
- fixed typing errors in summaries, descriptions, menu file.

* Tue Feb 27 2007 Led <led@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Tue Jan 16 2007 Led <led@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Mon Jan 15 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.8.1-alt1.0
- Rebuilt with libpcrecpp.so.1.

* Mon Nov 27 2006 Led <led@altlinux.ru> 1.8.1-alt1
- 1.8.1
- Fixed Requires/Provides for %gname package

* Tue Nov 14 2006 Led <led@altlinux.ru> 1.8.0-alt1
- 1.8.0
- fixed BuildRequires

* Wed May 03 2006 Led <led@altlinux.ru> 1.7.0-alt1
- 1.7.0
- added %name-1.7.0-configure.patch
- fixed spec

* Tue Feb 14 2006 Led <led@altlinux.ru> 1.6.5-alt4
- removed redundant sources

* Thu Jan 26 2006 Led <led@altlinux.ru> 1.6.5-alt3
- added examples to docs
- uk and ru Summary and description
- fix menu files
- fix spec

* Tue Dec 27 2005 Led <led@altlinux.ru> 1.6.5-alt2
- mkvinfo moved into sepatate package

* Mon Dec 26 2005 Led <led@altlinux.ru> 1.6.5-alt1
- initial build
